<app-collapse nzHeader="Roster" activeKey="r" [done]="(roster.done.all$ | async) ?? false">
  <div class="roster-collapse">
    <nz-card nzTitle="Dailies" nzBorderless *ngIf="roster.dailies as dailies">

      <app-collapse [done]="(dailies.other.done$ | async) ?? false" nzHeader="Main" [nzBordered]="false"
        activeKey="r-d-main">
        <app-checklist [checklist]="dailies.other"></app-checklist>
      </app-collapse>

      <app-collapse nzHeader="Rapport" [done]="(roster.done.rapport$ | async) ?? false" [nzBordered]="false"
        activeKey="r-d-rapport">
        <div class="roster-rapport">
          <app-checklist [checklist]="dailies.song" nameWidth="75px" header></app-checklist>
          <app-checklist [checklist]="dailies.emote" nameWidth="75px" header></app-checklist>
        </div>
      </app-collapse>

      <app-collapse nzHeader="Event" [done]="(dailies.event.done$ | async) ?? false" [nzBordered]="false"
        activeKey="r-d-event">
        <app-checklist [checklist]="dailies.event"></app-checklist>
      </app-collapse>

    </nz-card>
    <nz-card nzTitle="Weeklies" nzBorderless *ngIf="roster.weeklies as weeklies">

      <app-collapse nzHeader="Main" [nzBordered]="false" [done]="(weeklies.main.done$ | async) ?? false"
        activeKey="r-w-main">
        <app-checklist [checklist]="weeklies.main"></app-checklist>
      </app-collapse>

      <app-collapse nzHeader="Vendor" [nzBordered]="false" [done]="(weeklies.vendor.done$ | async) ?? false"
        activeKey="r-w-vendor">
        <app-checklist [checklist]="weeklies.vendor"></app-checklist>
      </app-collapse>

    </nz-card>
  </div>
</app-collapse>